Rygel.HTTPGetHandler – librygel-server Reference Manual

# HTTPGetHandler

## Object Hierarchy:

## Description:

public abstract class HTTPGetHandler : Object

HTTP GET request handler interface.

Namespace: Rygel
Package: librygel-server

## Content:

### Constants:

- protected const unowned string TRANSFER_MODE_HEADER
- protected const unowned string TRANSFER_MODE_STREAMING
- protected const unowned string TRANSFER_MODE_INTERACTIVE
- protected const unowned string TRANSFER_MODE_BACKGROUND

### Properties:

- public Cancellable cancellable { set; get; }

### Creation methods:

- public HTTPGetHandler ()

### Methods:

- public virtual void add_response_headers (HTTPGet request) throws HTTPRequestError
  Invokes the handler to add response headers to/for the given HTTP request
- public virtual string get_default_transfer_mode ()
  Returns the default transfer mode for the handler. The default is "Interactive"
- public abstract bool supports_transfer_mode (string mode)
  Returns true if the handler supports the given transfer mode, false otherwise.
- public abstract int64 get_resource_size ()
  Returns the resource size or -1 if not known.
- public virtual int64 get_resource_duration ()
  Returns the resource duration (in microseconds) or -1 if not known.
- public virtual bool supports_byte_seek ()
  Returns true if the handler supports full random-access byte seek.
- public virtual bool supports_time_seek ()
  Returns true if the handler supports full random-access time seek.
- public virtual bool supports_playspeed ()
  Returns true if the handler supports any play speed requests.
- public abstract HTTPResponse render_body (HTTPGet request) throws HTTPRequestError
  Create an HTTPResponse object that will render the body.

### Inherited Members:

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count